image: snakemake/snakemake:v5.9.1

before_script:
  - pip install -r scripts/requirements.txt

test:
  script:
    # add code quality tests here
    # add unit tests here
    # add script tests here
    - bash tests/test_scripts_labkey_to_snakemake/test.sh
    # add integration tests here
    - bash tests/test_create_dag_chart/test.sh
    - bash tests/test_integration_workflow/test.local.sh

